package com.eactive.eai.rms.common.login;

import java.io.Serializable;
import java.util.List;

public class LoginVo
						implements Serializable {
	private static final long serialVersionUID = 1L;

	private String userId;
	private String userName;


	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}


	private String password;
	private String department;
	private String allowIp;
	private String status;
	private List<String> roleList;
	private boolean menuMonitor; // 소켓2 상태정보
	private boolean menuTran; // 업무별 거래현황
	private boolean menuRule; // 전문 레이아웃 관리

	private String roleScreen;

	private String ssoToken;

	private String useServiceTypes;


	public String getUseServiceTypes() {
		return useServiceTypes;
	}

	public void setUseServiceTypes(String useServiceTypes) {
		this.useServiceTypes = useServiceTypes;
	}

	public String getSsoToken() {
		return ssoToken;
	}

	public void setSsoToken(String ssoToken) {
		this.ssoToken = ssoToken;
	}

	public String getRoleScreen() {
		return roleScreen;
	}

	public void setRoleScreen(String roleScreen) {
		this.roleScreen = roleScreen;
	}

	public boolean isMenuMonitor() {
		return menuMonitor;
	}

	public void setMenuMonitor(boolean menuMonitor) {
		this.menuMonitor = menuMonitor;
	}

	public boolean isMenuTran() {
		return menuTran;
	}

	public void setMenuTran(boolean menuTran) {
		this.menuTran = menuTran;
	}

	public boolean isMenuRule() {
		return menuRule;
	}

	public void setMenuRule(boolean menuRule) {
		this.menuRule = menuRule;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getPassword() {
		return password;
	}
	
	public String getAllowIp() {
		return allowIp;
	}

	public void setAllowIp(String allowIp) {
		this.allowIp = allowIp;
	}
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public List<String> getRoleList() {
		return roleList;
	}

	public void setRoleList(List<String> list) {
		roleList = list;
	}
}
